List OAuth grants
curl --request GET \
--url https://api.getcargo.io/v1/oauth/grants/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcargo.io/v1/oauth/grants/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcargo.io/v1/oauth/grants/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grants": [
{
"uuid": "<string>",
"clientId": "<string>",
"clientName": "<string>",
"userUuid": "<string>",
"workspaceUuid": "<string>",
"resource": "<string>",
"createdAt": "<string>",
"expiresAt": "<string>"
}
]
}OAuth - Grants
List OAuth grants
List live OAuth grants for a protected resource
GET
/
oauth
/
grants
/
list
List OAuth grants
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Protected resource URI the grants belong to.
Response
Successful response
Live OAuth grants for this resource.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

